<script setup lang="ts">
import { ref } from 'vue'
let visible: boolean
function openSalDialog() {
  visible = true
}
function closeSalDialog() {
  visible = false
}
</script>
<template>
  <div>
    <v-btn
      style="color: white; background-color: rgb(19, 0, 128)"
      prepend-icon="mdi-cash-multiple"
      @click:prepend-icon="openSalDialog"
    >
      Salary
      <v-dialog persistent width="auto" v-model="visible">
        <v-card>
          <v-card-title class="text-h5">
            <h3 style="text-align: center">D-Coffee</h3>
            <p style="font-size: 12px; text-align: center">
              เอกสารจ่ายเงินเดือนพนักงาน <br />
              {{
                new Date().toLocaleString('th-GB', {
                  timeZone: 'Asia/Bangkok',
                  dateStyle: 'short'
                })
              }}
              {{
                new Date().toLocaleString('th-GB', {
                  timeStyle: 'short'
                })
              }}
              {{}}
            </p>
          </v-card-title>
          <v-container style="font-size: 12px">
            <v-row>
              <v-col cols="12" sm="3">{{}}</v-col>
              <v-col cols="12" sm="3">{{}} THB</v-col>
              <v-col cols="12" sm="3">x {{}}</v-col>
              <v-col cols="12" sm="3">{{}}</v-col>
            </v-row>
          </v-container>
          <v-container>
            <v-row no-gutters>
              <v-col cols="6">สมาชิก</v-col><v-col cols="6">{{}}</v-col>
              <v-col cols="6">ยอดรวม</v-col><v-col cols="6">{{}}</v-col>
              <v-col cols="6">ส่วนลดสมาชิก</v-col><v-col cols="6">{{}}</v-col>
              <v-col cols="6">ยอดสุทธิ</v-col><v-col cols="6">{{}}</v-col>
            </v-row>
          </v-container>

          <v-card-actions>
            <v-spacer></v-spacer>
            <v-btn color="red" variant="text" @click="closeSalDialog"> Cancel </v-btn>
            <v-btn color="green" variant="text" @click="() => {}"> Confirm </v-btn>
          </v-card-actions>
        </v-card>
      </v-dialog>
    </v-btn>
  </div>
</template>
